Update service config section
PUT
/api/v1/service-config/{service}/{section}
const url = 'https://osctrl.net/api/v1/service-config/example/example';const options = { method: 'PUT', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://osctrl.net/api/v1/service-config/example/example \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{}'Replaces an editable service config section’s JSON value.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”service
required
string
Service name
section
required
string
Section name
Request Bodyrequired
Section titled “Request Bodyrequired”Request body
Media typeapplication/json
object
Examplegenerated
{}Responses
Section titled “Responses”OK
Media typeapplication/json
object
createdAt
string
deletedAt
object
time
string
valid
Valid is true if Time is not NULL
boolean
editable
boolean
environmentID
integer
id
integer
info
string
name
string
service
string
source
“yaml” or “db”
string
type
Always “json” for now
string
updatedAt
string
value
string
Examplegenerated
{ "createdAt": "example", "deletedAt": { "time": "example", "valid": true }, "editable": true, "environmentID": 1, "id": 1, "info": "example", "name": "example", "service": "example", "source": "example", "type": "example", "updatedAt": "example", "value": "example"}Bad request
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Unauthorized
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Forbidden
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Not found
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Conflict
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Too many requests
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Internal server error
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Service unavailable
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}